<template>


  <div id="app" :class="{pTop:pageTitileShow==1 }">

    <van-nav-bar class="navTop myTop" v-if="pageTitileShow==1" :title="(pageTitile)" :left-arrow="isBack==1" @click-left="onClickLeft" >
    

    </van-nav-bar>
    <keep-alive :include="includePath">
      <router-view style="margin-top:-1px" />
    </keep-alive>
    

  </div>

</template>

<script>

import { isWeixn } from './utils/judgeUserAgent.js'
import { mapActions, mapState, mapMutations, mapGetters } from 'vuex'
export default {
  name: 'App',

  created() {

    //document.getElementById('loading').style.display = 'none'
  },
  data() {
    return {
      includePath: ['sys_info', 'myMsg', 'app_index','goodsList','order' ,'refundList'  ],
      isWx: false,
      rightText: '',//左文字

  
    }
  },
  mounted() {

    sessionStorage.vvv = '1.1.13'




  },
  watch: {
    '$route': {
      handler(v) {
        
      },
      immediate: true

    },

  },


  computed: {
    ...mapGetters(['pageTitile', 'isBack', 'pageTitileShow', 'titleBtn1'])
  },
  methods: {



    onClickLeft() {
      this.back()
    },
    onClickRight() {
    },

  }
}
</script>

<style lang="scss" >
#app {
  height: 100%;
  position: relative;
  width: 100%;
  
  box-sizing: border-box;
}
.navTop {
  top: 0.52rem;
  left: 0;
  right: 0;
  position: fixed;
  width: 100%;
  z-index: 10 !important;
}
.pTop {
  padding-top: 0.96rem;
  box-sizing: border-box;
}

.c_chatBox {
  // position: absolute;
  width: 100%;
  height: 100%;
  // top: 0;
  // z-index: 1999;

  iframe {
    border: none;
  }
}
</style>

<style >
.van-nav-bar__text{
  color: #fff !important;
}

.APP{
  width: 100%;
  height: 100%;
   padding-top: 0.52rem;
    box-sizing: border-box;
}

.ctop{
  background: #F8F8F8;
  height: 0.52rem;
  position: fixed;
  top: 0;
  width: 100%;
  left: 0;
  z-index: 100;
}

</style>
